Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2550 - XFree86-*fonts*.rpm are arch-specific, and they shouldn't be.
Summary: XFree86-*fonts*.rpm are arch-specific, and they shouldn't be.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-04 23:19 UTC by David Woodhouse
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-05 17:52:38 UTC


Attachments (Terms of Use)

Description David Woodhouse 1999-05-04 23:19:44 UTC
The RPMS which contain only fonts shouldn't be
arch-specific. It prevents people from saving download time
by re-using the RPMs from alternative architectures.

It's even worse when you have to download them a _third_
time because of corruption on some of the mirrors.
The mirror on unix.hensa.ac.uk seems to be carrying versions
of some RPMS which don't verify correctly.

Comment 1 Jeff Johnson 1999-05-05 17:52:59 UTC
XFree fonts are per-arch packages because of rpm: there is
currently no way to build a sub-package for a different
arch than that specified in the spec file. There are
no plans to make the rpm BuildArch per-package (rather than
per-specfile).


Note You need to log in before you can comment on or make changes to this bug.